Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QEvent.Type

    java.lang.Object
      java.lang.Enum<QEvent.Type>
          com.trolltech.qt.core.QEvent.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QEvent.Type>

Enclosing class:
  QEvent

    public static enum QEvent.Type

extends java.lang.Enum<QEvent.Type>
implements QtEnumerator

This enum type defines the valid event types in Qt. The event types and the specialized classes for each type are as follows:

Constant | Value | Description
--- | --- | ---
`None` | `0` | Not an event.
`AccessibilityDescription` | `130` | Used to query accessibility description texts (`QAccessibleEvent`).
`AccessibilityHelp` | `119` | Used to query accessibility help texts (`QAccessibleEvent`).
`AccessibilityPrepare` | `86` | Accessibility information is requested.
`ActionAdded` | `114` | A new action has been added (`QActionEvent`).
`ActionChanged` | `113` | An action has been changed (`QActionEvent`).
`ActionRemoved` | `115` | An action has been removed (`QActionEvent`).
`ActivationChange` | `99` | A widget's top-level window activation state has changed.
`ApplicationActivate` | `121` | The application has been made available to the user.
`ApplicationActivated` | `121` | This enum has been deprecated. Use `ApplicationActivate` instead.
`ApplicationDeactivate` | `122` | The application has been suspended, and is unavailable to the user.
`ApplicationFontChange` | `36` | The default application font has changed.
`ApplicationLayoutDirectionChange` | `37` | The default application layout direction has changed.
`ApplicationPaletteChange` | `38` | The default application palette has changed.
`ApplicationWindowIconChange` | `35` | The application's icon has changed.
`ChildAdded` | `68` | An object gets a child (`QChildEvent`).
`ChildInserted` | ? | An object gets a child (`QChildEvent`). Qt3Support only, use `ChildAdded` instead.
`ChildPolished` | `69` | A widget child gets polished (`QChildEvent`).
`ChildRemoved` | `71` | An object loses a child (`QChildEvent`).
`Clipboard` | `40` | The clipboard contents have changed (`QClipboardEvent`).
`Close` | `19` | Widget was closed (`QCloseEvent`).
`ContentsRectChange` | `178` | The margins of the widget's content rect changed.
`ContextMenu` | `82` | Context popup menu (`QContextMenuEvent`).
`DeferredDelete` | `52` | The object will be deleted after it has cleaned up.
`DragEnter` | `60` | The cursor enters a widget during a drag and drop operation (`QDragEnterEvent`).
`DragLeave` | `62` | The cursor leaves a widget during a drag and drop operation (`QDragLeaveEvent`).
`DragMove` | `61` | A drag and drop operation is in progress (`QDragMoveEvent`).
`Drop` | `63` | A drag and drop operation is completed (`QDropEvent`).
`EnabledChange` | `98` | Widget's enabled state has changed.
`Enter` | `10` | Mouse enters widget's boundaries.
`EnterEditFocus` | ? | An editor widget gains focus for editing.
`EnterWhatsThisMode` | `124` | Send to toplevel widgets when the application enters "What's This?" mode.
`FileOpen` | `116` | File open request (`QFileOpenEvent`).
`FocusIn` | `8` | Widget gains keyboard focus (`QFocusEvent`).
`FocusOut` | `9` | Widget loses keyboard focus (`QFocusEvent`).
`FontChange` | `97` | Widget's font has changed.
`GraphicsSceneContextMenu` | `159` | Context popup menu over a graphics scene (`QGraphicsSceneContextMenuEvent`).
`GraphicsSceneDragEnter` | `164` | The cursor enters a graphics scene during a drag and drop operation.
`GraphicsSceneDragLeave` | `166` | The cursor leaves a graphics scene during a drag and drop operation.
`GraphicsSceneDragMove` | `165` | A drag and drop operation is in progress over a scene.
`GraphicsSceneDrop` | `167` | A drag and drop operation is completed over a scene.
`GraphicsSceneHelp` | `163` | The user requests help for a graphics scene (`QHelpEvent`).
`GraphicsSceneHoverEnter` | `160` | The mouse cursor enters a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`GraphicsSceneHoverLeave` | `162` | The mouse cursor leaves a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`GraphicsSceneHoverMove` | `161` | The mouse cursor moves inside a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`GraphicsSceneMouseDoubleClick` | `158` | Mouse press again (double click) in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneMouseMove` | `155` | Move mouse in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneMousePress` | `156` | Mouse press in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneMouseRelease` | `157` | Mouse release in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneWheel` | `168` | Mouse wheel rolled in a graphics scene (`QGraphicsSceneWheelEvent`).
`Hide` | `18` | Widget was hidden (`QHideEvent`).
`HideToParent` | `27` | A child widget has been hidden.
`HoverEnter` | `127` | The mouse cursor enters a hover widget (`QHoverEvent`).
`HoverLeave` | `128` | The mouse cursor leaves a hover widget (`QHoverEvent`).
`HoverMove` | `129` | The mouse cursor moves inside a hover widget (`QHoverEvent`).
`IconDrag` | `96` | The main icon of a window has been dragged away (`QIconDragEvent`).
`IconTextChange` | `101` | Widget's icon text has been changed.
`InputMethod` | `83` | An input method is being used (`QInputMethodEvent`).
`KeyPress` | `6` | Key press (`QKeyEvent`).
`KeyRelease` | `7` | Key release (`QKeyEvent`).
`LanguageChange` | `89` | The application translation changed.
`LayoutDirectionChange` | `90` | The direction of layouts changed.
`LayoutRequest` | `76` | Widget layout needs to be redone.
`Leave` | `11` | Mouse leaves widget's boundaries.
`LeaveEditFocus` | ? | An editor widget loses focus for editing.
`LeaveWhatsThisMode` | `125` | Send to toplevel widgets when the application leaves "What's This?" mode.
`LocaleChange` | `88` | The system locale has changed.
`NonClientAreaMouseButtonDblClick` | `176` | A mouse double click occurred outside the client area.
`NonClientAreaMouseButtonPress` | `174` | A mouse button press occurred outside the client area.
`NonClientAreaMouseButtonRelease` | `175` | A mouse button release occurred outside the client area.
`NonClientAreaMouseMove` | `173` | A mouse move occurred outside the client area.
`MacSizeChange` | `177` | The user changed his widget sizes (Mac OS X only).
`MenubarUpdated` | `153` | The window's menu bar has been updated.
`MetaCall` | `43` | An asynchronous method invocation via QMetaObject::invokeMethod().
`ModifiedChange` | `102` | Widgets modification state has been changed.
`MouseButtonDblClick` | `4` | Mouse press again (`QMouseEvent`).
`MouseButtonPress` | `2` | Mouse press (`QMouseEvent`).
`MouseButtonRelease` | `3` | Mouse release (`QMouseEvent`).
`MouseMove` | `5` | Mouse move (`QMouseEvent`).
`MouseTrackingChange` | `109` | The mouse tracking state has changed.
`Move` | `13` | Widget's position changed (`QMoveEvent`).
`Paint` | `12` | Screen update necessary (`QPaintEvent`).
`PaletteChange` | `39` | Palette of the widget changed.
`ParentAboutToChange` | `131` | The widget parent is about to change.
`ParentChange` | `21` | The widget parent has changed.
`Polish` | `75` | The widget is polished.
`PolishRequest` | `74` | The widget should be polished.
`QueryWhatsThis` | `123` | The widget should accept the event if it has "What's This?" help.
`Resize` | `14` | Widget's size changed (`QResizeEvent`).
`Shortcut` | `117` | Key press in child for shortcut key handling (`QShortcutEvent`).
`ShortcutOverride` | `51` | Key press in child, for overriding shortcut key handling (`QKeyEvent`).
`Show` | `17` | Widget was shown on screen (`QShowEvent`).
`ShowToParent` | `26` | A child widget has been shown.
`SockAct` | `50` | Socket activated, used to implement `QSocketNotifier`.
`StatusTip` | `112` | A status tip is requested (`QStatusTipEvent`).
`StyleChange` | `100` | Widget's style has been changed.
`TabletMove` | `87` | Wacom tablet move (`QTabletEvent`).
`TabletPress` | `92` | Wacom tablet press (`QTabletEvent`).
`TabletRelease` | `93` | Wacom tablet release (`QTabletEvent`).
`TabletEnterProximity` | `171` | Wacom tablet enter proximity event (`QTabletEvent`), sent to `QApplication`.
`TabletLeaveProximity` | `172` | Wacom tablet leave proximity event (`QTabletEvent`), sent to `QApplication`.
`Timer` | `1` | Regular timer events (`QTimerEvent`).
`ToolBarChange` | `120` | The toolbar button is toggled on Mac OS X.
`ToolTip` | `110` | A tooltip was requested (`QHelpEvent`).
`UpdateLater` | `78` | The widget should be queued to be repainted at a later time.
`UpdateRequest` | `77` | The widget should be repainted.
`WhatsThis` | `111` | The widget should reveal "What's This?" help (`QHelpEvent`).
`WhatsThisClicked` | `118` | A link in a widget's "What's This?" help was clicked.
`Wheel` | `31` | Mouse wheel rolled (`QWheelEvent`).
`WinEventAct` | `132` | A Windows-specific activation event has occurred.
`WindowActivate` | `24` | Window was activated.
`WindowBlocked` | `103` | The window is blocked by a modal dialog.
`WindowDeactivate` | `25` | Window was deactivated.
`WindowIconChange` | `34` | The window's icon has changed.
`WindowStateChange` | `105` | The window's state (minimized, maximized or full-screen) has changed (`QWindowStateChangeEvent`).
`WindowTitleChange` | `33` | The window title has changed.
`WindowUnblocked` | `104` | The window is unblocked after a modal dialog exited.
`ZOrderChange` | `126` | The widget's z-order has changed. This event is never sent to top level windows.
`KeyboardLayoutChange` | `169` | The keyboard layout has changed.
`DynamicPropertyChange` | `170` | A dynamic property was added, changed or removed from the object.

User events should have values between `User` and `MaxUser`:

Constant | Value | Description
--- | --- | ---
`User` | `1000` | User-defined event.
`MaxUser` | `65535` | Last user event ID.

Enum Constant Summary
`AcceptDropsChange` Internal.
`AccessibilityDescription` Used to query accessibility description texts (`QAccessibleEvent`).
`AccessibilityHelp` Used to query accessibility help texts (`QAccessibleEvent`).
`AccessibilityPrepare` Accessibility information is requested.
`ActionAdded` A new action has been added (`QActionEvent`).
`ActionChanged` An action has been changed (`QActionEvent`).
`ActionRemoved` An action has been removed (`QActionEvent`).
`ActivateControl` Internal.
`ActivationChange` A widget's top-level window activation state has changed.
`ApplicationActivate` The application has been made available to the user.
`ApplicationDeactivate` The application has been suspended, and is unavailable to the user.
`ApplicationFontChange` The default application font has changed.
`ApplicationLayoutDirectionChange` The default application layout direction has changed.
`ApplicationPaletteChange` The default application palette has changed.
`ApplicationWindowIconChange` The application's icon has changed.
`ChildAdded` An object gets a child (`QChildEvent`).
`ChildPolished` A widget child gets polished (`QChildEvent`).
`ChildRemoved` An object loses a child (`QChildEvent`).
`Clipboard` The clipboard contents have changed (`QClipboardEvent`).
`Close` Widget was closed (`QCloseEvent`).
`ContentsRectChange` The margins of the widget's content rect changed.
`ContextMenu` Context popup menu (`QContextMenuEvent`).
`Create` Internal.
`CustomEnum`
`DeactivateControl` Internal.
`DeferredDelete` The object will be deleted after it has cleaned up.
`Destroy` Internal.
`DragEnter` The cursor enters a widget during a drag and drop operation (`QDragEnterEvent`).
`DragLeave` The cursor leaves a widget during a drag and drop operation (`QDragLeaveEvent`).
`DragMove` A drag and drop operation is in progress (`QDragMoveEvent`).
`DragResponse` Internal.
`Drop` A drag and drop operation is completed (`QDropEvent`).
`DynamicPropertyChange` A dynamic property was added, changed or removed from the object.
`EmbeddingControl` Internal.
`EnabledChange` Widget's enabled state has changed.
`Enter` Mouse enters widget's boundaries.
`EnterWhatsThisMode` Send to toplevel widgets when the application enters "What's This?" mode.
`FileOpen` File open request (`QFileOpenEvent`).
`FocusIn` Widget gains keyboard focus (`QFocusEvent`).
`FocusOut` Widget loses keyboard focus (`QFocusEvent`).
`FontChange` Widget's font has changed.
`GraphicsSceneContextMenu` Context popup menu over a graphics scene (`QGraphicsSceneContextMenuEvent`).
`GraphicsSceneDragEnter` The cursor enters a graphics scene during a drag and drop operation.
`GraphicsSceneDragLeave` The cursor leaves a graphics scene during a drag and drop operation.
`GraphicsSceneDragMove` A drag and drop operation is in progress over a scene.
`GraphicsSceneDrop` A drag and drop operation is completed over a scene.
`GraphicsSceneHelp` The user requests help for a graphics scene (`QHelpEvent`).
`GraphicsSceneHoverEnter` The mouse cursor enters a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`GraphicsSceneHoverLeave` The mouse cursor leaves a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`GraphicsSceneHoverMove` The mouse cursor moves inside a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).
`GraphicsSceneMouseDoubleClick` Mouse press again (double click) in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneMouseMove` Move mouse in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneMousePress` Mouse press in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneMouseRelease` Mouse release in a graphics scene (`QGraphicsSceneMouseEvent`).
`GraphicsSceneWheel` Mouse wheel rolled in a graphics scene (`QGraphicsSceneWheelEvent`).
`HelpRequest` Internal.
`Hide` Widget was hidden (`QHideEvent`).
`HideToParent` A child widget has been hidden.
`HoverEnter` The mouse cursor enters a hover widget (`QHoverEvent`).
`HoverLeave` The mouse cursor leaves a hover widget (`QHoverEvent`).
`HoverMove` The mouse cursor moves inside a hover widget (`QHoverEvent`).
`IconDrag` The main icon of a window has been dragged away (`QIconDragEvent`).
`IconTextChange` Widget's icon text has been changed.
`InputMethod` An input method is being used (`QInputMethodEvent`).
`KeyboardLayoutChange` The keyboard layout has changed.
`KeyPress` Key press (`QKeyEvent`).
`KeyRelease` Key release (`QKeyEvent`).
`LanguageChange` The application translation changed.
`LayoutDirectionChange` The direction of layouts changed.
`LayoutRequest` Widget layout needs to be redone.
`Leave` Mouse leaves widget's boundaries.
`LeaveWhatsThisMode` Send to toplevel widgets when the application leaves "What's This?" mode.
`LocaleChange` The system locale has changed.
`MacGLWindowChange` Internal.
`MacSizeChange` The user changed his widget sizes (Mac OS X only).
`MaxUser` Last user event ID.
`MenubarUpdated` The window's menu bar has been updated.
`MetaCall` An asynchronous method invocation via QMetaObject::invokeMethod().
`ModifiedChange` Widgets modification state has been changed.
`MouseButtonDblClick` Mouse press again (`QMouseEvent`).
`MouseButtonPress` Mouse press (`QMouseEvent`).
`MouseButtonRelease` Mouse release (`QMouseEvent`).
`MouseMove` Mouse move (`QMouseEvent`).
`MouseTrackingChange` The mouse tracking state has changed.
`Move` Widget's position changed (`QMoveEvent`).
`NonClientAreaMouseButtonDblClick` A mouse double click occurred outside the client area.
`NonClientAreaMouseButtonPress` A mouse button press occurred outside the client area.
`NonClientAreaMouseButtonRelease` A mouse button release occurred outside the client area.
`NonClientAreaMouseMove` A mouse move occurred outside the client area.
`None` Not an event.
`OkRequest` Internal.
`Paint` Screen update necessary (`QPaintEvent`).
`PaletteChange` Palette of the widget changed.
`ParentAboutToChange` The widget parent is about to change.
`ParentChange` The widget parent has changed.
`Polish` The widget is polished.
`PolishRequest` The widget should be polished.
`QueryWhatsThis` The widget should accept the event if it has "What's This?" help.
`Quit` Internal.
`Resize` Widget's size changed (`QResizeEvent`).
`Shortcut` Key press in child for shortcut key handling (`QShortcutEvent`).
`ShortcutOverride` Key press in child, for overriding shortcut key handling (`QKeyEvent`).
`Show` Widget was shown on screen (`QShowEvent`).
`ShowToParent` A child widget has been shown.
`ShowWindowRequest` Internal.
`SockAct` Socket activated, used to implement `QSocketNotifier`.
`Speech` Internal.
`StatusTip` A status tip is requested (`QStatusTipEvent`).
`Style` Internal.
`StyleChange` Widget's style has been changed.
`TabletEnterProximity` Wacom tablet enter proximity event (`QTabletEvent`), sent to `QApplication`.
`TabletLeaveProximity` Wacom tablet leave proximity event (`QTabletEvent`), sent to `QApplication`.
`TabletMove` Wacom tablet move (`QTabletEvent`).
`TabletPress` Wacom tablet press (`QTabletEvent`).
`TabletRelease` Wacom tablet release (`QTabletEvent`).
`ThreadChange` Internal.
`Timer` Regular timer events (`QTimerEvent`).
`ToolBarChange` The toolbar button is toggled on Mac OS X.
`ToolTip` A tooltip was requested (`QHelpEvent`).
`UpdateLater` The widget should be queued to be repainted at a later time.
`UpdateRequest` The widget should be repainted.
`User` User-defined event.
`WhatsThis` The widget should reveal "What's This?" help (`QHelpEvent`).
`WhatsThisClicked` A link in a widget's "What's This?" help was clicked.
`Wheel` Mouse wheel rolled (`QWheelEvent`).
`WindowActivate` Window was activated.
`WindowBlocked` The window is blocked by a modal dialog.
`WindowDeactivate` Window was deactivated.
`WindowIconChange` The window's icon has changed.
`WindowStateChange` The window's state (minimized, maximized or full-screen) has changed (`QWindowStateChangeEvent`).
`WindowTitleChange` The window title has changed.
`WindowUnblocked` The window is unblocked after a modal dialog exited.
`WinEventAct` A Windows-specific activation event has occurred.
`ZeroTimerEvent` Internal.
`ZOrderChange` The widget's z-order has changed.

Method Summary
`static QEvent.Type` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QEvent.Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QEvent.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### None

    public static final QEvent.Type None

  Not an event.

### Timer

    public static final QEvent.Type Timer

  Regular timer events (`QTimerEvent`).

### MouseButtonPress

    public static final QEvent.Type MouseButtonPress

  Mouse press (`QMouseEvent`).

### MouseButtonRelease

    public static final QEvent.Type MouseButtonRelease

  Mouse release (`QMouseEvent`).

### MouseButtonDblClick

    public static final QEvent.Type MouseButtonDblClick

  Mouse press again (`QMouseEvent`).

### MouseMove

    public static final QEvent.Type MouseMove

  Mouse move (`QMouseEvent`).

### KeyPress

    public static final QEvent.Type KeyPress

  Key press (`QKeyEvent`).

### KeyRelease

    public static final QEvent.Type KeyRelease

  Key release (`QKeyEvent`).

### FocusIn

    public static final QEvent.Type FocusIn

  Widget gains keyboard focus (`QFocusEvent`).

### FocusOut

    public static final QEvent.Type FocusOut

  Widget loses keyboard focus (`QFocusEvent`).

### Enter

    public static final QEvent.Type Enter

  Mouse enters widget's boundaries.

### Leave

    public static final QEvent.Type Leave

  Mouse leaves widget's boundaries.

### Paint

    public static final QEvent.Type Paint

  Screen update necessary (`QPaintEvent`).

### Move

    public static final QEvent.Type Move

  Widget's position changed (`QMoveEvent`).

### Resize

    public static final QEvent.Type Resize

  Widget's size changed (`QResizeEvent`).

### Create

    public static final QEvent.Type Create

  Internal.

### Destroy

    public static final QEvent.Type Destroy

  Internal.

### Show

    public static final QEvent.Type Show

  Widget was shown on screen (`QShowEvent`).

### Hide

    public static final QEvent.Type Hide

  Widget was hidden (`QHideEvent`).

### Close

    public static final QEvent.Type Close

  Widget was closed (`QCloseEvent`).

### Quit

    public static final QEvent.Type Quit

  Internal.

### ParentChange

    public static final QEvent.Type ParentChange

  The widget parent has changed.

### ParentAboutToChange

    public static final QEvent.Type ParentAboutToChange

  The widget parent is about to change.

### ThreadChange

    public static final QEvent.Type ThreadChange

  Internal.

### WindowActivate

    public static final QEvent.Type WindowActivate

  Window was activated.

### WindowDeactivate

    public static final QEvent.Type WindowDeactivate

  Window was deactivated.

### ShowToParent

    public static final QEvent.Type ShowToParent

  A child widget has been shown.

### HideToParent

    public static final QEvent.Type HideToParent

  A child widget has been hidden.

### Wheel

    public static final QEvent.Type Wheel

  Mouse wheel rolled (`QWheelEvent`).

### WindowTitleChange

    public static final QEvent.Type WindowTitleChange

  The window title has changed.

### WindowIconChange

    public static final QEvent.Type WindowIconChange

  The window's icon has changed.

### ApplicationWindowIconChange

    public static final QEvent.Type ApplicationWindowIconChange

  The application's icon has changed.

### ApplicationFontChange

    public static final QEvent.Type ApplicationFontChange

  The default application font has changed.

### ApplicationLayoutDirectionChange

    public static final QEvent.Type ApplicationLayoutDirectionChange

  The default application layout direction has changed.

### ApplicationPaletteChange

    public static final QEvent.Type ApplicationPaletteChange

  The default application palette has changed.

### PaletteChange

    public static final QEvent.Type PaletteChange

  Palette of the widget changed.

### Clipboard

    public static final QEvent.Type Clipboard

  The clipboard contents have changed (`QClipboardEvent`).

### Speech

    public static final QEvent.Type Speech

  Internal.

### MetaCall

    public static final QEvent.Type MetaCall

  An asynchronous method invocation via QMetaObject::invokeMethod().

### SockAct

    public static final QEvent.Type SockAct

  Socket activated, used to implement `QSocketNotifier`.

### WinEventAct

    public static final QEvent.Type WinEventAct

  A Windows-specific activation event has occurred.

### DeferredDelete

    public static final QEvent.Type DeferredDelete

  The object will be deleted after it has cleaned up.

### DragEnter

    public static final QEvent.Type DragEnter

  The cursor enters a widget during a drag and drop operation (`QDragEnterEvent`).

### DragMove

    public static final QEvent.Type DragMove

  A drag and drop operation is in progress (`QDragMoveEvent`).

### DragLeave

    public static final QEvent.Type DragLeave

  The cursor leaves a widget during a drag and drop operation (`QDragLeaveEvent`).

### Drop

    public static final QEvent.Type Drop

  A drag and drop operation is completed (`QDropEvent`).

### DragResponse

    public static final QEvent.Type DragResponse

  Internal.

### ChildAdded

    public static final QEvent.Type ChildAdded

  An object gets a child (`QChildEvent`).

### ChildPolished

    public static final QEvent.Type ChildPolished

  A widget child gets polished (`QChildEvent`).

### ChildRemoved

    public static final QEvent.Type ChildRemoved

  An object loses a child (`QChildEvent`).

### ShowWindowRequest

    public static final QEvent.Type ShowWindowRequest

  Internal.

### PolishRequest

    public static final QEvent.Type PolishRequest

  The widget should be polished.

### Polish

    public static final QEvent.Type Polish

  The widget is polished.

### LayoutRequest

    public static final QEvent.Type LayoutRequest

  Widget layout needs to be redone.

### UpdateRequest

    public static final QEvent.Type UpdateRequest

  The widget should be repainted.

### UpdateLater

    public static final QEvent.Type UpdateLater

  The widget should be queued to be repainted at a later time.

### EmbeddingControl

    public static final QEvent.Type EmbeddingControl

  Internal.

### ActivateControl

    public static final QEvent.Type ActivateControl

  Internal.

### DeactivateControl

    public static final QEvent.Type DeactivateControl

  Internal.

### ContextMenu

    public static final QEvent.Type ContextMenu

  Context popup menu (`QContextMenuEvent`).

### InputMethod

    public static final QEvent.Type InputMethod

  An input method is being used (`QInputMethodEvent`).

### AccessibilityPrepare

    public static final QEvent.Type AccessibilityPrepare

  Accessibility information is requested.

### TabletMove

    public static final QEvent.Type TabletMove

  Wacom tablet move (`QTabletEvent`).

### LocaleChange

    public static final QEvent.Type LocaleChange

  The system locale has changed.

### LanguageChange

    public static final QEvent.Type LanguageChange

  The application translation changed.

### LayoutDirectionChange

    public static final QEvent.Type LayoutDirectionChange

  The direction of layouts changed.

### Style

    public static final QEvent.Type Style

  Internal.

### TabletPress

    public static final QEvent.Type TabletPress

  Wacom tablet press (`QTabletEvent`).

### TabletRelease

    public static final QEvent.Type TabletRelease

  Wacom tablet release (`QTabletEvent`).

### OkRequest

    public static final QEvent.Type OkRequest

  Internal.

### HelpRequest

    public static final QEvent.Type HelpRequest

  Internal.

### IconDrag

    public static final QEvent.Type IconDrag

  The main icon of a window has been dragged away (`QIconDragEvent`).

### FontChange

    public static final QEvent.Type FontChange

  Widget's font has changed.

### EnabledChange

    public static final QEvent.Type EnabledChange

  Widget's enabled state has changed.

### ActivationChange

    public static final QEvent.Type ActivationChange

  A widget's top-level window activation state has changed.

### StyleChange

    public static final QEvent.Type StyleChange

  Widget's style has been changed.

### IconTextChange

    public static final QEvent.Type IconTextChange

  Widget's icon text has been changed.

### ModifiedChange

    public static final QEvent.Type ModifiedChange

  Widgets modification state has been changed.

### MouseTrackingChange

    public static final QEvent.Type MouseTrackingChange

  The mouse tracking state has changed.

### WindowBlocked

    public static final QEvent.Type WindowBlocked

  The window is blocked by a modal dialog.

### WindowUnblocked

    public static final QEvent.Type WindowUnblocked

  The window is unblocked after a modal dialog exited.

### WindowStateChange

    public static final QEvent.Type WindowStateChange

  The window's state (minimized, maximized or full-screen) has changed (`QWindowStateChangeEvent`).

### ToolTip

    public static final QEvent.Type ToolTip

  A tooltip was requested (`QHelpEvent`).

### WhatsThis

    public static final QEvent.Type WhatsThis

  The widget should reveal "What's This?" help (`QHelpEvent`).

### StatusTip

    public static final QEvent.Type StatusTip

  A status tip is requested (`QStatusTipEvent`).

### ActionChanged

    public static final QEvent.Type ActionChanged

  An action has been changed (`QActionEvent`).

### ActionAdded

    public static final QEvent.Type ActionAdded

  A new action has been added (`QActionEvent`).

### ActionRemoved

    public static final QEvent.Type ActionRemoved

  An action has been removed (`QActionEvent`).

### FileOpen

    public static final QEvent.Type FileOpen

  File open request (`QFileOpenEvent`).

### Shortcut

    public static final QEvent.Type Shortcut

  Key press in child for shortcut key handling (`QShortcutEvent`).

### ShortcutOverride

    public static final QEvent.Type ShortcutOverride

  Key press in child, for overriding shortcut key handling (`QKeyEvent`).

### WhatsThisClicked

    public static final QEvent.Type WhatsThisClicked

  A link in a widget's "What's This?" help was clicked.

### ToolBarChange

    public static final QEvent.Type ToolBarChange

  The toolbar button is toggled on Mac OS X.

### ApplicationActivate

    public static final QEvent.Type ApplicationActivate

  The application has been made available to the user.

### ApplicationDeactivate

    public static final QEvent.Type ApplicationDeactivate

  The application has been suspended, and is unavailable to the user.

### QueryWhatsThis

    public static final QEvent.Type QueryWhatsThis

  The widget should accept the event if it has "What's This?" help.

### EnterWhatsThisMode

    public static final QEvent.Type EnterWhatsThisMode

  Send to toplevel widgets when the application enters "What's This?" mode.

### LeaveWhatsThisMode

    public static final QEvent.Type LeaveWhatsThisMode

  Send to toplevel widgets when the application leaves "What's This?" mode.

### ZOrderChange

    public static final QEvent.Type ZOrderChange

  The widget's z-order has changed. This event is never sent to top level windows.

### HoverEnter

    public static final QEvent.Type HoverEnter

  The mouse cursor enters a hover widget (`QHoverEvent`).

### HoverLeave

    public static final QEvent.Type HoverLeave

  The mouse cursor leaves a hover widget (`QHoverEvent`).

### HoverMove

    public static final QEvent.Type HoverMove

  The mouse cursor moves inside a hover widget (`QHoverEvent`).

### AccessibilityHelp

    public static final QEvent.Type AccessibilityHelp

  Used to query accessibility help texts (`QAccessibleEvent`).

### AccessibilityDescription

    public static final QEvent.Type AccessibilityDescription

  Used to query accessibility description texts (`QAccessibleEvent`).

### AcceptDropsChange

    public static final QEvent.Type AcceptDropsChange

  Internal.

### MenubarUpdated

    public static final QEvent.Type MenubarUpdated

  The window's menu bar has been updated.

### ZeroTimerEvent

    public static final QEvent.Type ZeroTimerEvent

  Internal.

### GraphicsSceneMouseMove

    public static final QEvent.Type GraphicsSceneMouseMove

  Move mouse in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneMousePress

    public static final QEvent.Type GraphicsSceneMousePress

  Mouse press in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneMouseRelease

    public static final QEvent.Type GraphicsSceneMouseRelease

  Mouse release in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneMouseDoubleClick

    public static final QEvent.Type GraphicsSceneMouseDoubleClick

  Mouse press again (double click) in a graphics scene (`QGraphicsSceneMouseEvent`).

### GraphicsSceneContextMenu

    public static final QEvent.Type GraphicsSceneContextMenu

  Context popup menu over a graphics scene (`QGraphicsSceneContextMenuEvent`).

### GraphicsSceneHoverEnter

    public static final QEvent.Type GraphicsSceneHoverEnter

  The mouse cursor enters a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).

### GraphicsSceneHoverMove

    public static final QEvent.Type GraphicsSceneHoverMove

  The mouse cursor moves inside a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).

### GraphicsSceneHoverLeave

    public static final QEvent.Type GraphicsSceneHoverLeave

  The mouse cursor leaves a hover item in a graphics scene (`QGraphicsSceneHoverEvent`).

### GraphicsSceneHelp

    public static final QEvent.Type GraphicsSceneHelp

  The user requests help for a graphics scene (`QHelpEvent`).

### GraphicsSceneDragEnter

    public static final QEvent.Type GraphicsSceneDragEnter

  The cursor enters a graphics scene during a drag and drop operation.

### GraphicsSceneDragMove

    public static final QEvent.Type GraphicsSceneDragMove

  A drag and drop operation is in progress over a scene.

### GraphicsSceneDragLeave

    public static final QEvent.Type GraphicsSceneDragLeave

  The cursor leaves a graphics scene during a drag and drop operation.

### GraphicsSceneDrop

    public static final QEvent.Type GraphicsSceneDrop

  A drag and drop operation is completed over a scene.

### GraphicsSceneWheel

    public static final QEvent.Type GraphicsSceneWheel

  Mouse wheel rolled in a graphics scene (`QGraphicsSceneWheelEvent`).

### KeyboardLayoutChange

    public static final QEvent.Type KeyboardLayoutChange

  The keyboard layout has changed.

### DynamicPropertyChange

    public static final QEvent.Type DynamicPropertyChange

  A dynamic property was added, changed or removed from the object.

### TabletEnterProximity

    public static final QEvent.Type TabletEnterProximity

  Wacom tablet enter proximity event (`QTabletEvent`), sent to `QApplication`.

### TabletLeaveProximity

    public static final QEvent.Type TabletLeaveProximity

  Wacom tablet leave proximity event (`QTabletEvent`), sent to `QApplication`.

### NonClientAreaMouseMove

    public static final QEvent.Type NonClientAreaMouseMove

  A mouse move occurred outside the client area.

### NonClientAreaMouseButtonPress

    public static final QEvent.Type NonClientAreaMouseButtonPress

  A mouse button press occurred outside the client area.

### NonClientAreaMouseButtonRelease

    public static final QEvent.Type NonClientAreaMouseButtonRelease

  A mouse button release occurred outside the client area.

### NonClientAreaMouseButtonDblClick

    public static final QEvent.Type NonClientAreaMouseButtonDblClick

  A mouse double click occurred outside the client area.

### MacSizeChange

    public static final QEvent.Type MacSizeChange

  The user changed his widget sizes (Mac OS X only).

### ContentsRectChange

    public static final QEvent.Type ContentsRectChange

  The margins of the widget's content rect changed.

### MacGLWindowChange

    public static final QEvent.Type MacGLWindowChange

  Internal.

### User

    public static final QEvent.Type User

  User-defined event.

### MaxUser

    public static final QEvent.Type MaxUser

  Last user event ID.

### CustomEnum

    public static final QEvent.Type CustomEnum

Method Detail

### values

    public static final QEvent.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QEvent.Type c : QEvent.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QEvent.Type valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QEvent.Type resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD